#include "sample_manager.h"

namespace Halley {
	shared_ptr<ResourceManager<AudioSample> > ResourceManager<AudioSample>::manager;

	SampleManager::SampleManager(String basePath)
		: ResourceManager(basePath)
	{
	}

	shared_ptr<AudioSample> SampleManager::load(String name) {
		return shared_ptr<AudioSample>(new AudioSample(name));
	}
}
